GNU bug report logs - #42790
[PATH] 27.1; Add version info into file name "emacs.pdmp" to avoid mismatch pdmp file

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: <lin.sun@HIDDEN>; Keywords: patch help confirmed; merged with #35503, #43050; dated Mon, 10 Aug 2020 03:22:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) help. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 27 Feb 2021 18:50:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 27 13:50:07 2021
Received: from localhost ([127.0.0.1]:45386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lG4fH-0004Oc-7a
	for submit <at> debbugs.gnu.org; Sat, 27 Feb 2021 13:50:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lG4fF-0004Nz-9j
 for 42790 <at> debbugs.gnu.org; Sat, 27 Feb 2021 13:50:05 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37260)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lG4f8-0007BT-CX; Sat, 27 Feb 2021 13:49:58 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2926
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lG4f6-0004vf-IJ; Sat, 27 Feb 2021 13:49:57 -0500
Date: Sat, 27 Feb 2021 20:49:48 +0200
Message-Id: <831rd1ny5v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <xba6rpe5h9.fsf@HIDDEN> (message from Glenn Morris on
 Sat, 27 Feb 2021 13:21:54 -0500)
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN> <83o8jsysm8.fsf@HIDDEN>
 <pxtupyp9tl.fsf@HIDDEN> <83czwmotz6.fsf@HIDDEN>
 <xba6rpe5h9.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42790
Cc: dancol@HIDDEN, schwab@HIDDEN, 42790 <at> debbugs.gnu.org,
 lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: dancol@HIDDEN,  42790 <at> debbugs.gnu.org,  schwab@HIDDEN,  lin.sun@HIDDEN
> Date: Sat, 27 Feb 2021 13:21:54 -0500
> 
> Eli Zaretskii wrote:
> 
> > So delaying a release indefinitely due to such problems doesn't sound
> > wise to me: we are already accused of having too long release cycles.
> 
> You control when a release is made. A flag in the bug database can't
> prevent you from making a release. But if you don't have any mechanism
> for communicating to people what you think the important issues are,
> they are likely to get lost in the noise (certain individuals can report
> a dozen trivial bugs a day).

I think I do have a mechanism for communicating that: the 2 mailing
lists we use, and the bug tracker.  What better mechanism can you
propose that will make sure the messages don't drown in the noise?
You proposed announcing on emacs-devel, but with the level of noise
present there lately, I'm not sure _I_ don't lose important messages
there; I have no reason to believe posting there will get the
attention of the unknown parties who ignored this particular bug since
it was reported.

> Personally I have no idea what issues remain to be fixed before 27.2
> can be released.

None.  We are all set.  The next tarball will be a RC.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 27 Feb 2021 18:22:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 27 13:22:05 2021
Received: from localhost ([127.0.0.1]:45363 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lG4E9-0003aY-LJ
	for submit <at> debbugs.gnu.org; Sat, 27 Feb 2021 13:22:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49888)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lG4E8-0003a5-9T
 for 42790 <at> debbugs.gnu.org; Sat, 27 Feb 2021 13:22:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36799)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lG4E1-0003BZ-NA; Sat, 27 Feb 2021 13:21:57 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lG4Dy-0007fh-Eo; Sat, 27 Feb 2021 13:21:54 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN> <83o8jsysm8.fsf@HIDDEN>
 <pxtupyp9tl.fsf@HIDDEN> <83czwmotz6.fsf@HIDDEN>
X-Spook: M-14 UOP chameleon man SEAL Team 6 Mavricks NVD quiche
X-Ran: :sBB5KF5rNW2+:AW_FsX[\N\|7Cy\{+s63g=T$0a\FP:\hE`(2xYP;ZP+"'iaL-o:<I3HU
X-Hue: brightyellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Sat, 27 Feb 2021 13:21:54 -0500
In-Reply-To: <83czwmotz6.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 27 Feb
 2021 09:22:37 +0200")
Message-ID: <xba6rpe5h9.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42790
Cc: dancol@HIDDEN, schwab@HIDDEN, 42790 <at> debbugs.gnu.org,
 lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii wrote:

> So delaying a release indefinitely due to such problems doesn't sound
> wise to me: we are already accused of having too long release cycles.

You control when a release is made. A flag in the bug database can't
prevent you from making a release. But if you don't have any mechanism
for communicating to people what you think the important issues are,
they are likely to get lost in the noise (certain individuals can report
a dozen trivial bugs a day). Personally I have no idea what issues
remain to be fixed before 27.2 can be released.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 27 Feb 2021 16:05:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 27 11:05:25 2021
Received: from localhost ([127.0.0.1]:45182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lG25s-0000GS-Ot
	for submit <at> debbugs.gnu.org; Sat, 27 Feb 2021 11:05:24 -0500
Received: from dancol.org ([96.126.100.184]:37186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dancol@HIDDEN>) id 1lG25p-0000GI-Ss
 for 42790 <at> debbugs.gnu.org; Sat, 27 Feb 2021 11:05:22 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=dancol.org; 
 s=x;
 h=Content-Transfer-Encoding:Content-Type:In-Reply-To:MIME-Version:Date:
 Message-ID:From:References:Cc:To:Subject:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Q52KYlwtB5QwxGE+vz83jLS2UB+RIu7QElM0u1wBU1s=; b=Z9QYIkmImUPlJQfx1tSSTmZ4WD
 K4EN/Q4Auiuhmgq5pjs933fPuUCV/QTWa8zfuKF/CkuEG0H9xyoYF9YYDl7c2MdXuolRCxRrzQCP3
 hmhL6Veru9lVvUGQ5s2N4kcvGznaMeTBwPLzH3dgq4i0M82a+I3pJgvBY1mAi99tWKAYj3sYeLs4l
 EQKMsvqxnSpf1AzPI3CuK/2Wt/k+A+EwiCnd73wbStRLnaZIKZ3XWKJT9SM2dt/MeFxGxiqQChX8i
 VWJxQBASxSzSOnjpsP2TWkg5OcbU0aj110eDCxhPRynuZ3wp30sudzPCkgOavVCjwmEiPdcdM42qw
 ny/wFXTg==;
Received: from [97.104.73.87] (port=58226 helo=[192.168.1.148])
 by dancol.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.89) (envelope-from <dancol@HIDDEN>)
 id 1lG25l-0006fy-Pz; Sat, 27 Feb 2021 08:05:17 -0800
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
To: Eli Zaretskii <eliz@HIDDEN>, Glenn Morris <rgm@HIDDEN>
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN> <83o8jsysm8.fsf@HIDDEN>
 <pxtupyp9tl.fsf@HIDDEN> <83czwmotz6.fsf@HIDDEN>
From: Daniel Colascione <dancol@HIDDEN>
Message-ID: <6d0b1260-402c-2ba1-f06c-a8ed24ae8432@HIDDEN>
Date: Sat, 27 Feb 2021 11:05:16 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <83czwmotz6.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 42790
Cc: schwab@HIDDEN, 42790 <at> debbugs.gnu.org, lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)


On 2/27/21 2:22 AM, Eli Zaretskii wrote:
>> From: Glenn Morris <rgm@HIDDEN>
>> Cc: Daniel Colascione <dancol@HIDDEN>,  42790 <at> debbugs.gnu.org,  schwab@HIDDEN,  lin.sun@HIDDEN
>> Date: Fri, 26 Feb 2021 20:40:22 -0500
>>
>> Eli Zaretskii wrote:
>>
>>> I hope this gets cleaned up, because I think it would be good to have
>>> this fixed for Emacs 27.2.
>> No response; presumably it's now too late.
> Yes, pretty much.


Maybe for next release: look through *all* *.pdmp files in well-known 
directories and just use the first one with the correct fingerprint? 
Then the files can have whatever name you want.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 27 Feb 2021 07:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 27 02:22:58 2021
Received: from localhost ([127.0.0.1]:43102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFtwI-0005zo-0A
	for submit <at> debbugs.gnu.org; Sat, 27 Feb 2021 02:22:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38090)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lFtwH-0005zd-2x
 for 42790 <at> debbugs.gnu.org; Sat, 27 Feb 2021 02:22:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56140)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lFtwA-00066d-1Y; Sat, 27 Feb 2021 02:22:50 -0500
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4103
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lFtw5-0004xe-Ux; Sat, 27 Feb 2021 02:22:48 -0500
Date: Sat, 27 Feb 2021 09:22:37 +0200
Message-Id: <83czwmotz6.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
In-Reply-To: <pxtupyp9tl.fsf@HIDDEN> (message from Glenn Morris on
 Fri, 26 Feb 2021 20:40:22 -0500)
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN> <83o8jsysm8.fsf@HIDDEN>
 <pxtupyp9tl.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42790
Cc: dancol@HIDDEN, schwab@HIDDEN, 42790 <at> debbugs.gnu.org,
 lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: Daniel Colascione <dancol@HIDDEN>,  42790 <at> debbugs.gnu.org,  schwab@HIDDEN,  lin.sun@HIDDEN
> Date: Fri, 26 Feb 2021 20:40:22 -0500
> 
> Eli Zaretskii wrote:
> 
> > I hope this gets cleaned up, because I think it would be good to have
> > this fixed for Emacs 27.2.
> 
> No response; presumably it's now too late.

Yes, pretty much.

> (FWIW I think it would be straightforward for someone whose C isn't
> execrable like mine.)
> 
> I really think having some central list of "issues that should be fixed
> before the next release" would help with this kind of thing.
> 
> The debbugs blocking mechanism has been used for this previously.
> If you don't like it that's fine, please use whatever you prefer.
> Eg monthly summary postings to emacs-devel, anything.

It's okay to use debbugs blocking, but the problem is, we have no real
mechanism to make sure the blocking problems will be worked on, and
the fact that some aren't is an indirect evidence that those problems
aren't acute.  So delaying a release indefinitely due to such problems
doesn't sound wise to me: we are already accused of having too long
release cycles.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 27 Feb 2021 01:40:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 26 20:40:31 2021
Received: from localhost ([127.0.0.1]:42889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFoat-00047f-3s
	for submit <at> debbugs.gnu.org; Fri, 26 Feb 2021 20:40:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1lFoas-00047T-5s
 for 42790 <at> debbugs.gnu.org; Fri, 26 Feb 2021 20:40:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46871)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1lFoal-00085Q-3y; Fri, 26 Feb 2021 20:40:23 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1lFoak-000595-4C; Fri, 26 Feb 2021 20:40:22 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN> <83o8jsysm8.fsf@HIDDEN>
X-Spook: CIM WMATA Virual Hemorrhagic Fever Ron Brown password ASO
X-Ran: OA86L6IFaNN<qfD94a\I5/)hY5>t'o,tTeLH2K0R7{Z&}nMc?Sho:)LQ1h60',"KGM.U7C
X-Hue: brightblue
X-Attribution: GM
Date: Fri, 26 Feb 2021 20:40:22 -0500
In-Reply-To: <83o8jsysm8.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 20 Nov
 2020 17:07:11 +0200")
Message-ID: <pxtupyp9tl.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42790
Cc: Daniel Colascione <dancol@HIDDEN>, schwab@HIDDEN,
 42790 <at> debbugs.gnu.org, lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii wrote:

> I hope this gets cleaned up, because I think it would be good to have
> this fixed for Emacs 27.2.

No response; presumably it's now too late.
(FWIW I think it would be straightforward for someone whose C isn't
execrable like mine.)

I really think having some central list of "issues that should be fixed
before the next release" would help with this kind of thing.

The debbugs blocking mechanism has been used for this previously.
If you don't like it that's fine, please use whatever you prefer.
Eg monthly summary postings to emacs-devel, anything.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 20 Nov 2020 15:07:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 20 10:07:38 2020
Received: from localhost ([127.0.0.1]:44075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kg80f-0008LI-Mn
	for submit <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:07:37 -0500
Received: from eggs.gnu.org ([209.51.188.92]:40914)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kg80d-0008L5-EC
 for 42790 <at> debbugs.gnu.org; Fri, 20 Nov 2020 10:07:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34858)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kg80X-0004uv-D4; Fri, 20 Nov 2020 10:07:29 -0500
Received: from [176.228.60.248] (port=2154 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kg80T-0000ff-JA; Fri, 20 Nov 2020 10:07:27 -0500
Date: Fri, 20 Nov 2020 17:07:11 +0200
Message-Id: <83o8jsysm8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, Daniel Colascione <dancol@HIDDEN>
In-Reply-To: <uueekudsea.fsf@HIDDEN> (message from Glenn Morris on
 Sun, 15 Nov 2020 20:03:57 -0500)
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
 <uueekudsea.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42790
Cc: schwab@HIDDEN, 42790 <at> debbugs.gnu.org, lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: schwab@HIDDEN,  42790 <at> debbugs.gnu.org,  eliz@HIDDEN
> Date: Sun, 15 Nov 2020 20:03:57 -0500
> 
> I have also had problems with configure's transform argument being
> ignored for the pdmp file, and with the pdmp file not being found.
> 
> Here is a simple-minded proof-of-concept patch for installing the pdmp
> file with the fingerprint in the name. It needs cleaning up (compilation
> warnings; hexbuf stuff is awful; should look for FINGERPRINT.pdmp first,
> then fall back to less specific names, finishing with emacs.pdmp; etc).
> Hopefully people who know more about this stuff than me will feel like
> finishing this off...

I hope this gets cleaned up, because I think it would be good to have
this fixed for Emacs 27.2.

Volunteers are welcome.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 16 Nov 2020 01:04:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 20:04:08 2020
Received: from localhost ([127.0.0.1]:54639 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keSwB-0005Sx-Li
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 20:04:07 -0500
Received: from eggs.gnu.org ([209.51.188.92]:43076)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1keSw9-0005ST-Hx
 for 42790 <at> debbugs.gnu.org; Sun, 15 Nov 2020 20:04:06 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51149)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1keSw3-0000Su-EZ; Sun, 15 Nov 2020 20:03:59 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1keSw1-0008SI-3m; Sun, 15 Nov 2020 20:03:57 -0500
From: Glenn Morris <rgm@HIDDEN>
To: lin.sun@HIDDEN
Subject: Re: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN> <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
X-Spook: underground Bletchley Park United Nations Magnitude
X-Ran: `4=Ly_|:e>:+K4/$&-Rc(#:?6G_9QYAVq9GLrlPv*x~NY=Y2JR`Pm!wGi^1{#HvVPn*4Q+
X-Hue: blue
X-Attribution: GM
Date: Sun, 15 Nov 2020 20:03:57 -0500
In-Reply-To: <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us> (lin sun's message of
 "Mon, 10 Aug 2020 17:24:48 +0800")
Message-ID: <uueekudsea.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, schwab@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


I have also had problems with configure's transform argument being
ignored for the pdmp file, and with the pdmp file not being found.

Here is a simple-minded proof-of-concept patch for installing the pdmp
file with the fingerprint in the name. It needs cleaning up (compilation
warnings; hexbuf stuff is awful; should look for FINGERPRINT.pdmp first,
then fall back to less specific names, finishing with emacs.pdmp; etc).
Hopefully people who know more about this stuff than me will feel like
finishing this off...

diff --git a/Makefile.in b/Makefile.in
index fbb1891ba7..d1c228c5f3 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -309,6 +309,7 @@ TRANSFORM = @program_transform_name@
 EMACS_NAME = `echo emacs | sed '$(TRANSFORM)'`
 EMACS = ${EMACS_NAME}${EXEEXT}
 EMACSFULL = `echo emacs-${version} | sed '$(TRANSFORM)'`${EXEEXT}
+EMACS_PDMP = `./src/emacs${EXEEXT} --fingerprint 2>&1 | sed 's/.* //'`.pdmp
 
 # Subdirectories to make recursively.
 SUBDIR = $(NTDIR) lib lib-src src lisp
@@ -495,7 +496,7 @@ install-arch-dep: src install-arch-indep install-etcdoc install-$(NTDIR)
 ifeq (${ns_self_contained},no)
 	${INSTALL_PROGRAM} $(INSTALL_STRIP) src/emacs${EXEEXT} "$(DESTDIR)${bindir}/$(EMACSFULL)"
 ifeq (${DUMPING},pdumper)
-	${INSTALL_DATA} src/emacs.pdmp "$(DESTDIR)${libexecdir}/emacs/${version}/${configuration}"/emacs.pdmp
+	${INSTALL_DATA} src/emacs.pdmp "$(DESTDIR)${libexecdir}/emacs/${version}/${configuration}"/${EMACS_PDMP}
 endif
 	-chmod 755 "$(DESTDIR)${bindir}/$(EMACSFULL)"
 ifndef NO_BIN_LINK
diff --git a/src/emacs.c b/src/emacs.c
index 172e460769..1743e1cc99 100644
--- a/src/emacs.c
+++ b/src/emacs.c
@@ -117,6 +117,7 @@ extern char etext;
 #endif
 
 #include "pdumper.h"
+#include "fingerprint.h"
 #include "epaths.h"
 
 static const char emacs_version[] = PACKAGE_VERSION;
@@ -238,6 +239,7 @@ Initialization options:\n\
 #ifdef HAVE_PDUMPER
     "\
 --dump-file FILE            read dumped state from FILE\n\
+--fingerprint               output fingerprint and exit\n\
 ",
 #endif
     "\
@@ -868,9 +870,15 @@ load_pdump (int argc, char **argv)
      "emacs.pdmp" so that the Emacs binary still works if the user
      copies and renames it.  */
   const char *argv0_base = "emacs";
+  enum { hexbuf_size = 2 * sizeof fingerprint };
+  char hexbuf[hexbuf_size];
+  hexbuf_digest (hexbuf, fingerprint, sizeof fingerprint);
+  char finger[hexbuf_size];
+  strcpy (finger, hexbuf);
+  finger[sizeof hexbuf] = '\0';
   ptrdiff_t needed = (strlen (path_exec)
                       + 1
-                      + strlen (argv0_base)
+                      + strlen (finger)
                       + strlen (suffix)
                       + 1);
   if (bufsize < needed)
@@ -879,7 +887,7 @@ load_pdump (int argc, char **argv)
       dump_file = xpalloc (NULL, &bufsize, needed - bufsize, -1, 1);
     }
   sprintf (dump_file, "%s%c%s%s",
-           path_exec, DIRECTORY_SEP, argv0_base, suffix);
+           path_exec, DIRECTORY_SEP, finger, suffix);
   result = pdumper_load (dump_file);
 
   if (result == PDUMPER_LOAD_FILE_NOT_FOUND)
@@ -1129,6 +1137,22 @@ main (int argc, char **argv)
       exit (0);
     }
 
+#ifdef HAVE_PDUMPER
+  if (argmatch (argv, argc, "-fingerprint", "--fingerprint", 4, NULL, &skip_args))
+    {
+      if (initialized)
+        {
+          dump_fingerprint ("fingerprint", fingerprint);
+          exit (0);
+        }
+      else
+        {
+          fputs ("Not initialized\n", stderr);
+          exit (1);
+        }
+    }
+#endif
+
   emacs_wd = emacs_get_current_dir_name ();
 #ifdef HAVE_PDUMPER
   if (dumped_with_pdumper_p ())
diff --git a/src/pdumper.c b/src/pdumper.c
index b5b4050b93..c8d7378221 100644
--- a/src/pdumper.c
+++ b/src/pdumper.c
@@ -311,7 +311,7 @@ dump_reloc_set_offset (struct dump_reloc *reloc, dump_off offset)
     error ("dump relocation out of range");
 }
 
-static void
+void
 dump_fingerprint (char const *label,
 		  unsigned char const xfingerprint[sizeof fingerprint])
 {
diff --git a/src/pdumper.h b/src/pdumper.h
index c793fb4058..2028b44f81 100644
--- a/src/pdumper.h
+++ b/src/pdumper.h
@@ -50,6 +50,10 @@ enum { PDUMPER_NO_OBJECT = -1 };
 #define PDUMPER_REMEMBER_SCALAR(thing)                  \
   pdumper_remember_scalar (&(thing), sizeof (thing))
 
+extern void dump_fingerprint (const char *label,
+                              const unsigned char *xfingerprint);
+
+
 extern void pdumper_remember_scalar_impl (void *data, ptrdiff_t nbytes);
 
 INLINE void




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.
Merged 35503 42790 43050. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 42790 43050. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 16 Aug 2020 00:30:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 15 20:30:48 2020
Received: from localhost ([127.0.0.1]:56602 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k76ZU-0007tV-Be
	for submit <at> debbugs.gnu.org; Sat, 15 Aug 2020 20:30:48 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:38375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lin.sun@HIDDEN>) id 1k76ZR-0007tG-B4
 for 42790 <at> debbugs.gnu.org; Sat, 15 Aug 2020 20:30:46 -0400
Received: by mail-io1-f43.google.com with SMTP id h4so14249515ioe.5
 for <42790 <at> debbugs.gnu.org>; Sat, 15 Aug 2020 17:30:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zoom.us; s=google;
 h=from:to:cc:references:in-reply-to:subject:date:message-id
 :mime-version:thread-index:content-language;
 bh=kZSG4xthMJxMHlkQeSgQwYQ86J54CMrJrMPG1nvctK0=;
 b=PgqNHKOScD6ZzWdyzpZD7ukmHr3ZxDySfOEeGVIsRe04MXO36jZ9EIgcmh1AcJZFVE
 I5NRpVUG4CVMvNbAG6mdcExlRb/k5kEPMnDlIB7es6gGNw7xA64sG1X/NV+0CXQz/o5D
 n+xM54VF8Ge4lnfTB5WGHZ5gtPd8DA+bhRfEo=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:references:in-reply-to:subject:date
 :message-id:mime-version:thread-index:content-language;
 bh=kZSG4xthMJxMHlkQeSgQwYQ86J54CMrJrMPG1nvctK0=;
 b=fE4o08VX4UvDjCSWvnU2E+4j79Ph7M1JpgrFpJgWDnSd0bDQ0GWV4HXXjmy8LENMFr
 DjOO48Yfxj/7vZ8SCU/99Wymrc2kp/EnMUCRuCkA+BThr5JBkkxTDQzM/ngNNc//3dsy
 yndL5jMAVdZc5PiyL6AzLQxtfbvgWWDeZNCrbsA7H9HYQEj9nRbKIc0YtK5tlNsE7F+h
 SoXeZPJQjUKQ26yxVvDMv6Nli0oRs2wEMnGFKpAqy1SRIcXvLrt22mOhPIEn62sVttUc
 yo1vD+3jFv/8py/H1KkrKEoEbSc8xM43H1sDMKwgXmVyNc8xTdm1wY5o84jSslzQcVgB
 HRYA==
X-Gm-Message-State: AOAM5332/X555O75R1ABEKZqszrfPdkOQUpVP+m1MEm7Bs88ZQmWI2Ic
 AIWOouSlVsdU0VuFy+e0bA5SyB2/oAAsDM2QypstTpAkRQp7zjIgASnJINdKD2TEamC/Frcayhl
 5erVZcpMOpigaMJ58i1V+z+XNZ9YX8qsXQBAfSUkjwIlcazUXJFHV9Z/ETFrpE+Y=
X-Google-Smtp-Source: ABdhPJxJp+8dBDID6epnyBOaiB5RIoE1LhNCqlqMcLmdJJDtb5sV6RsqGV9H0Ev8Y7YEoAKT8hcc7g==
X-Received: by 2002:a05:6638:348:: with SMTP id
 x8mr8474801jap.62.1597537839336; 
 Sat, 15 Aug 2020 17:30:39 -0700 (PDT)
Received: from DESKTOPLINSUN ([38.99.100.2])
 by smtp.gmail.com with ESMTPSA id e19sm6468410iow.33.2020.08.15.17.30.36
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 15 Aug 2020 17:30:38 -0700 (PDT)
From: <lin.sun@HIDDEN>
To: "'Lars Ingebrigtsen'" <larsi@HIDDEN>
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>	<87d03t5lee.fsf@HIDDEN>
 <c37d01d672bf$dca725b0$95f57110$@zoom.us>	<878seg1986.fsf@HIDDEN>
 <874kp418z2.fsf@HIDDEN>
In-Reply-To: <874kp418z2.fsf@HIDDEN>
Subject: RE: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
Date: Sun, 16 Aug 2020 08:30:30 +0800
Message-ID: <e5ec01d67364$73f04ba0$5bd0e2e0$@zoom.us>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="----=_NextPart_000_E5ED_01D673A7.8213D9C0"
X-Mailer: Microsoft Outlook 16.0
Thread-Index: AQIinAP1sy8Zpd4+W74pmqM+6XEK1QKblLnjAi73o/YBzhdskAJR+92jqFo2i1A=
Content-Language: en-us
X-MS-TNEF-Correlator: 00000000E475DFDE4C5E3C40919546E62034FE0C0700C3B68E10F77511CEB4CD00AA00BBB6E600000000000D00005E4D1E8152C6534C80504F3CFD7EF5CF00000000184C0000
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multipart message in MIME format.

------=_NextPart_000_E5ED_01D673A7.8213D9C0
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: 7bit

Hi Lars,

Yes, I agree with you that file name with fingerprint is an idea solution.
It may be have to keep the fingerprint be synced in c/lisp/Makefile, too
complicate (for me).
The minor changes in this patch will get an pretty enhance for most
circumstances, this patch can worked before other better solution ready.

Regards
Lin Sun

------=_NextPart_000_E5ED_01D673A7.8213D9C0
Content-Type: application/ms-tnef;
	name="winmail.dat"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="winmail.dat"
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------=_NextPart_000_E5ED_01D673A7.8213D9C0--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 15 Aug 2020 10:47:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 15 06:47:57 2020
Received: from localhost ([127.0.0.1]:54328 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6tjB-0007UW-2m
	for submit <at> debbugs.gnu.org; Sat, 15 Aug 2020 06:47:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k6tj9-0007UK-Jv
 for 42790 <at> debbugs.gnu.org; Sat, 15 Aug 2020 06:47:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=STobsjsJp94F87NdLtKQUKGQqqQt7Cu7IoHoTFZ1tAk=; b=J3SrL4bCiyWMUAtyNteCUPn9Qg
 IeDI00YyETLAc0RBZidosy1312mvloumjLpHtk86HGxyYImvMvSqmBKgj2XK8ZTugR9z1Lyd+M36+
 HOgbmKHqOX5yoQzc0ngUUIVFMow+3QsdTG/b8HY9w8QZVLsOi++r+WGpvHW0iu4qcoyw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k6tj0-0006jH-6k; Sat, 15 Aug 2020 12:47:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: <lin.sun@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87d03t5lee.fsf@HIDDEN> <c37d01d672bf$dca725b0$95f57110$@zoom.us>
 <878seg1986.fsf@HIDDEN>
Date: Sat, 15 Aug 2020 12:47:45 +0200
In-Reply-To: <878seg1986.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 15 Aug 2020 12:42:17 +0200")
Message-ID: <874kp418z2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think the
 problem
 was that I had already built an Emacs in ~/emacs, so > it didn't want to
 build the .o files in ~/emacs-min, apparently... Anyway, while your patch
 fixes the problem in your specific setup, it doesn't really seem like a general
 fix. Andreas's suggestion (to add the fingerprint to the file name) seems
 like a safer solution [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think the problem was that I had already built an Emacs in ~/emacs, so
> it didn't want to build the .o files in ~/emacs-min, apparently...

Anyway, while your patch fixes the problem in your specific setup, it
doesn't really seem like a general fix.  Andreas's suggestion (to add
the fingerprint to the file name) seems like a safer solution.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 15 Aug 2020 10:42:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 15 06:42:32 2020
Received: from localhost ([127.0.0.1]:54320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6tdw-00056y-FG
	for submit <at> debbugs.gnu.org; Sat, 15 Aug 2020 06:42:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52312)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k6tdu-00056l-8V
 for 42790 <at> debbugs.gnu.org; Sat, 15 Aug 2020 06:42:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2Z0d4VGJpSFgNnd+sl+mXERgZ0zqihEsd9NuFPskam4=; b=sAb5+IoN3jtggrzAAycukN9HQ3
 C2o6OqFyNOO75Vj5Lj49zGbFaoX+xM8twKm/jnMBJMme/T1rWpaJkudPHcwOAO81pUlsKGGt4vMnr
 jWJYb+Kr8rOPj/ayTqW4tComemDE2nhKgt8sqy0yQyxZzVzUXZDB2AUxf+IdT0AZRatk=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k6tdi-0006i2-9Z; Sat, 15 Aug 2020 12:42:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: <lin.sun@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87d03t5lee.fsf@HIDDEN> <c37d01d672bf$dca725b0$95f57110$@zoom.us>
Date: Sat, 15 Aug 2020 12:42:17 +0200
In-Reply-To: <c37d01d672bf$dca725b0$95f57110$@zoom.us> (lin sun's message of
 "Sat, 15 Aug 2020 12:52:18 +0800")
Message-ID: <878seg1986.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: <lin.sun@HIDDEN> writes: > mkdir -p ~/emacs-min && cd
 ~/emacs-min
 && ~/emacs/configure > --program-suffix=m --with-x=no && sudo make install;
 I think the problem was that I had already built an Emacs in ~/emacs, so
 it didn't want to build the .o files in ~/emacs-min, apparently... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

<lin.sun@HIDDEN> writes:

> mkdir -p ~/emacs-min && cd ~/emacs-min && ~/emacs/configure
> --program-suffix=m --with-x=no && sudo make install;

I think the problem was that I had already built an Emacs in ~/emacs, so
it didn't want to build the .o files in ~/emacs-min, apparently...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 15 Aug 2020 04:52:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 15 00:52:37 2020
Received: from localhost ([127.0.0.1]:54182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6oBJ-0000Bp-2u
	for submit <at> debbugs.gnu.org; Sat, 15 Aug 2020 00:52:37 -0400
Received: from mail-io1-f45.google.com ([209.85.166.45]:46102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lin.sun@HIDDEN>) id 1k6oBG-0000Bb-2Y
 for 42790 <at> debbugs.gnu.org; Sat, 15 Aug 2020 00:52:35 -0400
Received: by mail-io1-f45.google.com with SMTP id a5so12671735ioa.13
 for <42790 <at> debbugs.gnu.org>; Fri, 14 Aug 2020 21:52:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zoom.us; s=google;
 h=from:to:cc:references:in-reply-to:subject:date:message-id
 :mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=uucK9743xZMBOyHF/Q0ZwP2fdQY+bPH1vfBUjYNxWdE=;
 b=TL+biBS8osWFHJD0JzZ4t248rgs0aB6LhQQixKNRIbZpjaykqgO1pkZB3q8sXgDbcw
 goDV6Kpc/vnXVZ2DFobx/bn0081X+itt8oWViwoevHS848399OjMaQZK0YNtvo+fIvB6
 9rNTlRUHfBVotBhQ+F8kTM4FphhG2+fB0R910=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:references:in-reply-to:subject:date
 :message-id:mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=uucK9743xZMBOyHF/Q0ZwP2fdQY+bPH1vfBUjYNxWdE=;
 b=rt+mWFhcGki1p8kI6AsG3D2gwImjCNFVg7lYL91L6cCN7K6vJMXc4ZCPLwDx3TiwtQ
 8SzHze9U4PR2QawcHIhQfq8h2t2im1sPoubySMXZxPAL7toeoaO3zY5yJhJiy4fKAUKF
 YRHwEYi0V2O6mGvF1mKycMVtULF3Iq+lyU0FNQfuSY4y8qpdT2ySqoXnuu9bqu6p8jiw
 y5Le40hJeRyJ6zPTg3/6MonT7yDLgXLPB8oTUbjrQ1FrGF9rLWhnVndDJBSehGOXwHeu
 9frc4RG6a2//vHPH5lgcpCAMaWHukDnkCE+qCaLtIQFdWurUWc9l0rHET1gPxFM70TUQ
 0PaA==
X-Gm-Message-State: AOAM530Z0JnP90zoezBEguseW4zOHzj2McLsv6RLF+uoCNQGaaHg35Az
 0IJqGbhB+oN+oftj8OQApIUiWx9a1vEEjiLQRCWUhdzxBWoEy5d4dfp2mpe9PCVkSL/hRHY9V1r
 rmLHmJe+AzeXWIDWkjgSJw8WdRZorH8ozAZaRjZnC0rspyZAXA7QlLt8ZeDgf9GE=
X-Google-Smtp-Source: ABdhPJwpsmzgutPyTKnrdv/F5RMb10RpWySBJFz0FTwTv2b3h8keMK+1u/43qDVcj1kKMGkzHZvw3g==
X-Received: by 2002:a02:3843:: with SMTP id v3mr5650184jae.23.1597467146280;
 Fri, 14 Aug 2020 21:52:26 -0700 (PDT)
Received: from DESKTOPLINSUN ([38.99.100.2])
 by smtp.gmail.com with ESMTPSA id z26sm4167554ilf.60.2020.08.14.21.52.23
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 14 Aug 2020 21:52:25 -0700 (PDT)
From: <lin.sun@HIDDEN>
To: "'Lars Ingebrigtsen'" <larsi@HIDDEN>
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us> <87d03t5lee.fsf@HIDDEN>
In-Reply-To: <87d03t5lee.fsf@HIDDEN>
Subject: RE: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
Date: Sat, 15 Aug 2020 12:52:18 +0800
Message-ID: <c37d01d672bf$dca725b0$95f57110$@zoom.us>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Microsoft Outlook 16.0
Thread-Index: AQIinAP1sy8Zpd4+W74pmqM+6XEK1QKblLnjqItoynA=
Content-Language: en-us
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Lars,

I assume you already have an environment that can compile Emacs success, =
and these command lines will illustrate what happened,

cd ~ && git clone --depth 1 -b emacs-27 =
git://git.savannah.gnu.org/emacs.git ~/emacs && cd ~/emacs && =
./autogen.sh;=20
mkdir -p ~/emacs-min && cd ~/emacs-min && ~/emacs/configure =
--program-suffix=3Dm --with-x=3Dno && sudo make install; =20
mkdir -p ~/emacs-nor && cd ~/emacs-nor && ~/emacs/configure && sudo make =
install;

Then try run /usr/local/bin/emacsm, you'll get the error message.

Regards
Lin Sun
-----Original Message-----
From: Lars Ingebrigtsen <larsi@HIDDEN>=20
Sent: Friday, August 14, 2020 22:53
To: lin.sun@HIDDEN
Cc: 42790 <at> debbugs.gnu.org; eliz@HIDDEN
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name =
"emacs.pdmp" to avoid mismatch pdmp file

<lin.sun@HIDDEN> writes:

> The pdmp file always named as "emcas.pdmp", this will cause error in=20
> my local that I build two Emacs with different configuration options=20
> and different suffix from same source tree. Here are configure lines:
>
> $ cd ~/emacs-min && ~/emacs/configure --program-suffix=3Dm =
--with-x=3Dno...
> $ cd ~/emacs-nor && ~/emacs/configure # normal build
>
> After installation, run the first installed Emacs binary, there is=20
> error message as follow:

I'm not sure I understand the use case or the recipe -- if I try =
something like that, it just says

gcc: error: fontset.o: No such file or directory
gcc: error: fringe.o: No such file or directory
gcc: error: image.o: No such file or directory
gcc: error: xgselect.o: No such file or directory
gcc: error: terminfo.o: No such file or directory
gcc: error: lastfile.o: No such file or directory
make[1]: *** [Makefile:651: temacs] Error 1
make[1]: Leaving directory '/tmp/em/src'
make: *** [Makefile:424: src] Error 2

after saying "make".

--
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 14 Aug 2020 14:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 14 10:53:43 2020
Received: from localhost ([127.0.0.1]:53505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k6b5S-000639-S3
	for submit <at> debbugs.gnu.org; Fri, 14 Aug 2020 10:53:43 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k6b5S-00062w-2k
 for 42790 <at> debbugs.gnu.org; Fri, 14 Aug 2020 10:53:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VTb7N5lK24r2CU/WK23152SAb4FwAbpsVYjRPyYwiR4=; b=DyE8lHOlRZcL5purQfso3zhudt
 r4vslMHrF5VARZiw4lCVlREXjUOYsb4X/DfRzrSUN3gnG2APJid+UwTxvtt0ZQqmV6nu98rEUpHWP
 RFMMGRw7zFMZYXFuMGV2M7L/+jtfSQkmcAsa8OTOJ2pSuJpAEzRDrS51yzLAkDCeJ/60=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k6b5H-0003G7-PE; Fri, 14 Aug 2020 16:53:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: <lin.sun@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
Date: Fri, 14 Aug 2020 16:53:29 +0200
In-Reply-To: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us> (lin sun's message of
 "Mon, 10 Aug 2020 11:21:32 +0800")
Message-ID: <87d03t5lee.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  <lin.sun@HIDDEN> writes: > The pdmp file always named as
 "emcas.pdmp", this will cause error in my > local that I build two Emacs with
 different configuration options and > different suffix from same source tree.
 Here are con [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

<lin.sun@HIDDEN> writes:

> The pdmp file always named as "emcas.pdmp", this will cause error in my
> local that I build two Emacs with different configuration options and
> different suffix from same source tree. Here are configure lines:
>
> $ cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no...
> $ cd ~/emacs-nor && ~/emacs/configure # normal build
>
> After installation, run the first installed Emacs binary, there is
> error message as follow:

I'm not sure I understand the use case or the recipe -- if I try
something like that, it just says

gcc: error: fontset.o: No such file or directory
gcc: error: fringe.o: No such file or directory
gcc: error: image.o: No such file or directory
gcc: error: xgselect.o: No such file or directory
gcc: error: terminfo.o: No such file or directory
gcc: error: lastfile.o: No such file or directory
make[1]: *** [Makefile:651: temacs] Error 1
make[1]: Leaving directory '/tmp/em/src'
make: *** [Makefile:424: src] Error 2

after saying "make".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.
Added tag(s) patch. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 10 Aug 2020 09:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 10 05:25:03 2020
Received: from localhost ([127.0.0.1]:34372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k543C-0000J6-UX
	for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 05:25:03 -0400
Received: from mail-pj1-f45.google.com ([209.85.216.45]:34940)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lin.sun@HIDDEN>) id 1k543B-0000IR-Bb
 for 42790 <at> debbugs.gnu.org; Mon, 10 Aug 2020 05:25:01 -0400
Received: by mail-pj1-f45.google.com with SMTP id t6so4655397pjr.0
 for <42790 <at> debbugs.gnu.org>; Mon, 10 Aug 2020 02:25:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zoom.us; s=google;
 h=from:to:cc:references:in-reply-to:subject:date:message-id
 :mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=ifLp92pQfhQhAEzbGgqDDV2g8jLrGiBMy5OHBWfPQHQ=;
 b=h5vbSUgdKHta8VGSRVo6E45g9aSARAIEPtIKSdOej3sddmdUfaIW3NHVy9PMhWSioe
 J0+l//QB6Fv8f3HnkTPi4Uwy+euVVENUx0cwh7URtX97lR0z2zVS83Yw/97rIUcXksrl
 tAw07nK7Njy6xPChaM5P+G3Cp5MI6qnZ/Wzfg=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:references:in-reply-to:subject:date
 :message-id:mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=ifLp92pQfhQhAEzbGgqDDV2g8jLrGiBMy5OHBWfPQHQ=;
 b=MINGHfjLOUmS5PNsfmBY58vs2duSly59mQ0g09wxpaZcakNPifoOVs0Jc7EPGz61P0
 mqn4WRkd2xm7i/U6pu0nKc6KNrO+8Yzs42SMA3hNyYj5QQXLV59kVfu7m48ihOcHZO9q
 hGUen0sx5/8Oz634r4BeYvvt6FiIyStFQN4JUUZYdqlWUABRGFoDWdGE950Kj1xJTlHv
 ggo+yFYbGAy+ud6EUE8/ayeomf7aR+QrVokw8SIuMk5nCNfsNLBQe/sEPwQ5jxvrBOUQ
 cd8oxy69jD8PxNpOCjj+iOcifu8YpZT0DZi+/B9gUXLGsk1BYUSxI3I8G2Qa7BRs4FYn
 W7Pw==
X-Gm-Message-State: AOAM5323K4IYT+zqtX8l1n6ssAxLCS/+/NrqaARLeib9rgKczsHfmGny
 riA33JLaOZz2PiEz2RdjKi6aAikNvRP3xcFK0urzgOHtqpggpfzdM3OVArlg66SEnT9yGxykbJw
 nRnTlCSbuf9RupeNUBrmLU946e1uVbLBhQckaDnD0/kBXMXFefy/fYtiHVyfO
X-Google-Smtp-Source: ABdhPJwu+EQkQwXlsL/3VAvzzRFE7CI2GdzERIlBMiDMGYqjE/pKCWtc66dFG/H9A3/zrMwATMY1MA==
X-Received: by 2002:a17:902:cb91:: with SMTP id
 d17mr22888267ply.223.1597051494632; 
 Mon, 10 Aug 2020 02:24:54 -0700 (PDT)
Received: from DESKTOPLINSUN ([38.99.100.2])
 by smtp.gmail.com with ESMTPSA id g129sm21294878pfb.33.2020.08.10.02.24.51
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 10 Aug 2020 02:24:53 -0700 (PDT)
From: <lin.sun@HIDDEN>
To: "'Andreas Schwab'" <schwab@HIDDEN>,
 "'via Bug reports for GNU Emacs,
 the Swiss army knife of text editors'" <bug-gnu-emacs@HIDDEN>
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN>
In-Reply-To: <87ft8unbwe.fsf@HIDDEN>
Subject: RE: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
Date: Mon, 10 Aug 2020 17:24:48 +0800
Message-ID: <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Microsoft Outlook 16.0
Thread-Index: AQIinAP1sy8Zpd4+W74pmqM+6XEK1QIY3fqfqIftWfA=
Content-Language: en-us
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Andreas,

> Even better would be to use the fingerprint in the file name.

It's an idea solution, but in a build tree the name "emacs.pdmp" is =
reasonable.
Another excuse, it's also too complicated to modify the c/lisp/automake =
files=20
to support generating pdmp file name with fingerprint correctly.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2020 09:25:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 10 05:25:02 2020
Received: from localhost ([127.0.0.1]:34370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k543C-0000J4-M6
	for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 05:25:02 -0400
Received: from lists.gnu.org ([209.51.188.17]:39964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lin.sun@HIDDEN>) id 1k543B-0000IY-43
 for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 05:25:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:58706)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lin.sun@HIDDEN>) id 1k543A-0005hx-Qu
 for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2020 05:25:00 -0400
Received: from mail-pl1-x634.google.com ([2607:f8b0:4864:20::634]:45674)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lin.sun@HIDDEN>) id 1k5437-0008Sf-4E
 for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2020 05:24:59 -0400
Received: by mail-pl1-x634.google.com with SMTP id bh1so4460129plb.12
 for <bug-gnu-emacs@HIDDEN>; Mon, 10 Aug 2020 02:24:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zoom.us; s=google;
 h=from:to:cc:references:in-reply-to:subject:date:message-id
 :mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=ifLp92pQfhQhAEzbGgqDDV2g8jLrGiBMy5OHBWfPQHQ=;
 b=h5vbSUgdKHta8VGSRVo6E45g9aSARAIEPtIKSdOej3sddmdUfaIW3NHVy9PMhWSioe
 J0+l//QB6Fv8f3HnkTPi4Uwy+euVVENUx0cwh7URtX97lR0z2zVS83Yw/97rIUcXksrl
 tAw07nK7Njy6xPChaM5P+G3Cp5MI6qnZ/Wzfg=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:references:in-reply-to:subject:date
 :message-id:mime-version:content-transfer-encoding:thread-index
 :content-language;
 bh=ifLp92pQfhQhAEzbGgqDDV2g8jLrGiBMy5OHBWfPQHQ=;
 b=a2CnaC70BxCWWQEhpXaFYFcq9sgsR6iW2p2yRvFW3ZQ24tWjpHYEXjHj9UanU3iMDB
 6hr+AA1Qv3EaZjflT4p5tkjHPVVwKZHliRO3OpTHONoP6Labq7DHRjL0HMlGXM+uMszd
 N98PiVlxoX0WZTZxA84iAW7mhcjgcQc54UqscFSZnRjWAW9KEXsboMl3hbDUSuQBWI5C
 EJnttReVGJy189sHWer+uEIUsN7IHPG6IdT9f7oZOc+Q8naFZuYvjhPjTq4nN5W2CTF7
 aqjnmPUUoKFNHVMY6BfiYgr0q894MsHMMZ7iSjcqKJYYmMsQjE0gZtcaF0I2cNzEkf/5
 9pfA==
X-Gm-Message-State: AOAM530qbJeWghO0Ajk8I/ay9qpVH5msvM24rBoVkrQxSjbYJ5mUB26l
 nrCnMZ2XWJhuRsO4R6Xr45Q/1X5/BtE=
X-Google-Smtp-Source: ABdhPJwu+EQkQwXlsL/3VAvzzRFE7CI2GdzERIlBMiDMGYqjE/pKCWtc66dFG/H9A3/zrMwATMY1MA==
X-Received: by 2002:a17:902:cb91:: with SMTP id
 d17mr22888267ply.223.1597051494632; 
 Mon, 10 Aug 2020 02:24:54 -0700 (PDT)
Received: from DESKTOPLINSUN ([38.99.100.2])
 by smtp.gmail.com with ESMTPSA id g129sm21294878pfb.33.2020.08.10.02.24.51
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 10 Aug 2020 02:24:53 -0700 (PDT)
From: <lin.sun@HIDDEN>
To: "'Andreas Schwab'" <schwab@HIDDEN>,
 "'via Bug reports for GNU Emacs,
 the Swiss army knife of text editors'" <bug-gnu-emacs@HIDDEN>
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
 <87ft8unbwe.fsf@HIDDEN>
In-Reply-To: <87ft8unbwe.fsf@HIDDEN>
Subject: RE: bug#42790: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
Date: Mon, 10 Aug 2020 17:24:48 +0800
Message-ID: <dcf601d66ef8$1aa60140$4ff203c0$@zoom.us>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: quoted-printable
X-Mailer: Microsoft Outlook 16.0
Thread-Index: AQIinAP1sy8Zpd4+W74pmqM+6XEK1QIY3fqfqIftWfA=
Content-Language: en-us
Received-SPF: pass client-ip=2607:f8b0:4864:20::634;
 envelope-from=lin.sun@HIDDEN; helo=mail-pl1-x634.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_MED=-1,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hi Andreas,

> Even better would be to use the fingerprint in the file name.

It's an idea solution, but in a build tree the name "emacs.pdmp" is =
reasonable.
Another excuse, it's also too complicated to modify the c/lisp/automake =
files=20
to support generating pdmp file name with fingerprint correctly.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at 42790 <at> debbugs.gnu.org:


Received: (at 42790) by debbugs.gnu.org; 10 Aug 2020 08:27:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 10 04:27:53 2020
Received: from localhost ([127.0.0.1]:34281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k539s-0007DE-Qy
	for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 04:27:52 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:49120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k539p-0007Cz-QT
 for 42790 <at> debbugs.gnu.org; Mon, 10 Aug 2020 04:27:51 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BQ8Gr1Kczz1rryf;
 Mon, 10 Aug 2020 10:27:47 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BQ8Gq5dp4z1qrg5;
 Mon, 10 Aug 2020 10:27:47 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 7nZWO75Cxd4f; Mon, 10 Aug 2020 10:27:46 +0200 (CEST)
X-Auth-Info: YxZvR8DWydJ/fKA2KJXzPmltqTgLXivuQgu7DFGHPal+oT2cacd4pxyYcHCTlfBS
Received: from igel.home (ppp-46-244-186-123.dynamic.mnet-online.de
 [46.244.186.123])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 10 Aug 2020 10:27:46 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id AB4512C10E2; Mon, 10 Aug 2020 10:27:45 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: via "Bug reports for GNU Emacs, the Swiss army knife of text editors"
 <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
X-Yow: Hey, LOOK!!  A pair of SIZE 9 CAPRI PANTS!!  They probably belong to
 SAMMY DAVIS, JR.!!
Date: Mon, 10 Aug 2020 10:27:45 +0200
In-Reply-To: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us> (via's message of "Mon, 
 10 Aug 2020 11:21:32 +0800")
Message-ID: <87ft8unbwe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 42790
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org, lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Aug 10 2020, via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> This patch will add the version info to pdmp file name to avoid the error.

Even better would be to use the fingerprint in the file name.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2020 08:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 10 04:27:58 2020
Received: from localhost ([127.0.0.1]:34284 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k539y-0007DX-0Z
	for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 04:27:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:49758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1k539w-0007DQ-Q8
 for submit <at> debbugs.gnu.org; Mon, 10 Aug 2020 04:27:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45764)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whitebox@HIDDEN>)
 id 1k539w-0002QP-K2
 for bug-gnu-emacs@HIDDEN; Mon, 10 Aug 2020 04:27:56 -0400
Received: from mail-out.m-online.net ([2001:a60:0:28:0:1:25:1]:57764)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <whitebox@HIDDEN>)
 id 1k539u-0001e6-8d; Mon, 10 Aug 2020 04:27:56 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4BQ8Gr1Kczz1rryf;
 Mon, 10 Aug 2020 10:27:47 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4BQ8Gq5dp4z1qrg5;
 Mon, 10 Aug 2020 10:27:47 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 7nZWO75Cxd4f; Mon, 10 Aug 2020 10:27:46 +0200 (CEST)
X-Auth-Info: YxZvR8DWydJ/fKA2KJXzPmltqTgLXivuQgu7DFGHPal+oT2cacd4pxyYcHCTlfBS
Received: from igel.home (ppp-46-244-186-123.dynamic.mnet-online.de
 [46.244.186.123])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 10 Aug 2020 10:27:46 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id AB4512C10E2; Mon, 10 Aug 2020 10:27:45 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: via "Bug reports for GNU Emacs, the Swiss army knife of text editors"
 <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#42790: [PATH] 27.1; Add version info into file name
 "emacs.pdmp" to avoid mismatch pdmp file
References: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
X-Yow: Hey, LOOK!!  A pair of SIZE 9 CAPRI PANTS!!  They probably belong to
 SAMMY DAVIS, JR.!!
Date: Mon, 10 Aug 2020 10:27:45 +0200
In-Reply-To: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us> (via's message of "Mon, 
 10 Aug 2020 11:21:32 +0800")
Message-ID: <87ft8unbwe.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2001:a60:0:28:0:1:25:1;
 envelope-from=whitebox@HIDDEN; helo=mail-out.m-online.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/08/10 04:27:48
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -15
X-Spam_score: -1.6
X-Spam_bar: -
X-Spam_report: (-1.6 / 5.0 requ) BAYES_00=-1.9, HEADER_FROM_DIFFERENT_DOMAINS=1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: eliz@HIDDEN, 42790 <at> debbugs.gnu.org, lin.sun@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

On Aug 10 2020, via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:

> This patch will add the version info to pdmp file name to avoid the error.

Even better would be to use the fingerprint in the file name.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Aug 2020 03:21:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 09 23:21:47 2020
Received: from localhost ([127.0.0.1]:33802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k4yNf-0007lQ-I6
	for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 23:21:47 -0400
Received: from lists.gnu.org ([209.51.188.17]:44880)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lin.sun@HIDDEN>) id 1k4yNc-0007lG-2Y
 for submit <at> debbugs.gnu.org; Sun, 09 Aug 2020 23:21:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42270)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <lin.sun@HIDDEN>) id 1k4yNb-0004hO-SZ
 for bug-gnu-emacs@HIDDEN; Sun, 09 Aug 2020 23:21:43 -0400
Received: from mail-pl1-x630.google.com ([2607:f8b0:4864:20::630]:46810)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <lin.sun@HIDDEN>) id 1k4yNa-0007b3-B2
 for bug-gnu-emacs@HIDDEN; Sun, 09 Aug 2020 23:21:43 -0400
Received: by mail-pl1-x630.google.com with SMTP id k13so4062667plk.13
 for <bug-gnu-emacs@HIDDEN>; Sun, 09 Aug 2020 20:21:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=zoom.us; s=google;
 h=from:to:subject:date:message-id:mime-version:thread-index
 :content-language;
 bh=gqdChBwFkS/GqyS7uMNnaigWrpaTxtChU6kPifi2wYc=;
 b=G+Pg/Ov92YMYLLL+nK06nBqyEnm3zb0sE9KvgoIu9pV+6QgFm1dAD6KFMLqulQVsYS
 uVC7zoXfM4vZUf76+iZu9iv4jXFeabiRsW+eg7Qr3qXGajS7FXSN+tA1A0tTZXl75onO
 qQAM4Hq6xDMxIJG/Eeo9xB34wQAumLm0Xqev0=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version
 :thread-index:content-language;
 bh=gqdChBwFkS/GqyS7uMNnaigWrpaTxtChU6kPifi2wYc=;
 b=miKxjY/h53bYWG2Sv3KQ9lo/Qa4eHfx8nXT/uwVx/nvJHefawMVAToXgPKooSIB13B
 eVBbjIr1nX3k1Y+dg2iFgHd2l0V0pF9EbnHTB6SMOb+Mk7wF8N8GL+Dx4TROo+F8Oi9Z
 BkhlUghuTLn4Xc+XbDqVpGgJj4WMwGfLl1Eu6R34eJ4ZI+IGRy8cAhr2pwNdt7bZtmw/
 NsIjzLhUp+QZe73mG6R3Q6tZDiM2IPMQmRfTPDguKOh3N3j9qaQc9w8VYmDdTnv7rswn
 xHKWLrHBVtxBkjLAXZ8wV4GIYFQ7Hp/KqLoHWeMMeKTTRfgDP50NS2KqkmTzo8kOtd3L
 /73g==
X-Gm-Message-State: AOAM531fhpwjnyi1qO1qscoO8QeqMKLKVaY+6gsd3YeT4uX2yjbRj9dA
 COc08Sc7K8AIVJifMi9H52k5pu1UoRFyoXuViAhAVTTRq4j95omS0vnahccgr5Zqxhycv/lZfUM
 jXI3qLaNxpZSF+0N59APAsOByO93u7qDJQdDhfgjLNygU2RlTYUsBjPUn/q86
X-Google-Smtp-Source: ABdhPJxxLWS5xKFBGreZzNGE7lDbcRgoKdAo+PXqxezXgJKZbDLiyg5MZiCvH1ku4l1/XEf5CJVwQQ==
X-Received: by 2002:a17:902:10e:: with SMTP id
 14mr21358563plb.297.1597029699659; 
 Sun, 09 Aug 2020 20:21:39 -0700 (PDT)
Received: from DESKTOPLINSUN ([38.99.100.2])
 by smtp.gmail.com with ESMTPSA id y20sm20306971pfn.183.2020.08.09.20.21.37
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 09 Aug 2020 20:21:38 -0700 (PDT)
From: <lin.sun@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>,
	"'Eli Zaretskii'" <eliz@HIDDEN>
Subject: [PATH] 27.1;
 Add version info into file name "emacs.pdmp" to avoid mismatch pdmp
 file
Date: Mon, 10 Aug 2020 11:21:32 +0800
Message-ID: <cecc01d66ec5$5aeecb20$10cc6160$@zoom.us>
MIME-Version: 1.0
Content-Type: multipart/mixed;
 boundary="----=_NextPart_000_CECD_01D66F08.69128050"
X-Mailer: Microsoft Outlook 16.0
Thread-Index: AdZuxQxzR46Own+pQL6UubrVswZZTQ==
Content-Language: en-us
Received-SPF: pass client-ip=2607:f8b0:4864:20::630;
 envelope-from=lin.sun@HIDDEN; helo=mail-pl1-x630.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_MED=-1,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=unavailable autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multipart message in MIME format.

------=_NextPart_000_CECD_01D66F08.69128050
Content-Type: text/plain;
	charset="utf-8"
Content-Transfer-Encoding: 7bit

Hi,

The pdmp file always named as "emcas.pdmp", this will cause error in my
local that I build two Emacs with different configuration options and
different suffix from same source tree. Here are configure lines:

$ cd ~/emacs-min && ~/emacs/configure --program-suffix=m --with-x=no...
$ cd ~/emacs-nor && ~/emacs/configure # normal build

After installation, run the first installed Emacs binary, there is
error message as follow:

emacs: could not load dump file "... emacs.pdmp": not built for this
Emacs executable

This patch will add the version info to pdmp file name to avoid the error.
After apply this patch, pdmp file in my case will be "emacs-27.1.pdmp" 
and "emacs-27.1m.pdmp", Emacs will load pdmp file correctly.

------=_NextPart_000_CECD_01D66F08.69128050
Content-Type: application/octet-stream;
	name="0001-Makefile.in-Add-version-info-into-file-name-emacs.pd.patch"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
	filename="0001-Makefile.in-Add-version-info-into-file-name-emacs.pd.patch"

From 416180fa843750ccedb4d1fcad436cd445f03735 Mon Sep 17 00:00:00 2001=0A=
From: Lin Sun <lin.sun@HIDDEN>=0A=
Date: Mon, 10 Aug 2020 11:10:21 +0800=0A=
Subject: [PATCH] * Makefile.in: Add version info into file name =
"emacs.pdmp"=0A=
=0A=
---=0A=
 Makefile.in | 3 ++-=0A=
 1 file changed, 2 insertions(+), 1 deletion(-)=0A=
=0A=
diff --git a/Makefile.in b/Makefile.in=0A=
index 67e15cf..078607c 100644=0A=
--- a/Makefile.in=0A=
+++ b/Makefile.in=0A=
@@ -309,6 +309,7 @@ TRANSFORM =3D=0A=
 EMACS_NAME =3D `echo emacs | sed '$(TRANSFORM)'`=0A=
 EMACS =3D ${EMACS_NAME}${EXEEXT}=0A=
 EMACSFULL =3D `echo emacs-${version} | sed '$(TRANSFORM)'`${EXEEXT}=0A=
+EMACS_PDMP =3D `echo emacs-${version} | sed '$(TRANSFORM)'`".pdmp"=0A=
 =0A=
 # Subdirectories to make recursively.=0A=
 SUBDIR =3D $(NTDIR) lib lib-src src lisp=0A=
@@ -495,7 +496,7 @@ install-arch-dep:=0A=
 ifeq (${ns_self_contained},no)=0A=
 	${INSTALL_PROGRAM} $(INSTALL_STRIP) src/emacs${EXEEXT} =
"$(DESTDIR)${bindir}/$(EMACSFULL)"=0A=
 ifeq (${DUMPING},pdumper)=0A=
-	${INSTALL_DATA} src/emacs.pdmp =
"$(DESTDIR)${libexecdir}/emacs/${version}/${configuration}"/emacs.pdmp=0A=
+	${INSTALL_DATA} src/emacs.pdmp =
"$(DESTDIR)${libexecdir}/emacs/${version}/${configuration}"/${EMACS_PDMP}=0A=
 endif=0A=
 	-chmod 755 "$(DESTDIR)${bindir}/$(EMACSFULL)"=0A=
 ifndef NO_BIN_LINK=0A=
-- =0A=
2.2.0=0A=
=0A=

------=_NextPart_000_CECD_01D66F08.69128050--





Acknowledgement sent to <lin.sun@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42790; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Mar 2021 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.